Consolidate preferences for all 'Change Monitoring' pages
Open, Needs TriagePublic

Description

As part of completing the New Filters for Edit Review project, it's desirable to consolidate the preferences currently spread across the Watchlist and Recent Changes preference tabs into one tab, named "Monitoring changes." Two main considerations recommend this course:

  1. The current arrangement is disorganized and illogical. The two tabs already control behavior on an odd mixture of pages for which no tabs exist, including History, Logs and Contributions. A consolidated tab with sections named for the relevant pages will more accurately reflect the functionality presented.
  2. The New Filters UX enables users to save default page settings directly on RC page and Watchlists—a clear win for usability. When this capability is fully in place, having a parallel system for setting defaults on the Preferences pages is confusing and messy. Once such duplicative preferences are removed, however, the relatively small number of Watchlist and RC page preferences that validly remain aren't numerous enough to justify two separate Preferences tabs.

In addition to being more logical, a unified tab enables us to more neatly manage the four possible states that a user can move through with respect to Watchlist and RC page. These four states and the functionality that pertains to them are described on the following four tickets. In addition, a fifth ticket describes the rules that will govern migration and conversion from the old system to the new:

Requirements

  • When a user moves to the New Filters UX, all user preferences from the old system will be transferred to their equivalents in the new UX for that user (see T172757 for details of old-to-new translation).
  • When New Filters users bookmark settings to the Saved Filters menu, and declare those settings Default (using the "Set as default" option), the default on-page settings override any existing page preferences that were set on the Preferences pages.
  • Many existing user preferences will no longer be visible on the consolidated "Change Monitoring" preference page (as detailed in the four subtasks above). However, all such hidden preferences will be stored for each user.
  • In the event a user opts out of the New Filters on RC or WL or both, all their old preferences, including the hidden ones, will be restored. (Their OLD preferences will be restored; i.e., we don't need to send on-page defaults "upstream" to be stored as hidden preferences).

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedSBisson
OpenNone
ResolvedJdforrester-WMF
Resolvedjmatazzoni
ResolvedPetar.petkovic
DeclinedNone
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2017, 12:51 AM
jmatazzoni updated the task description. (Show Details)
jmatazzoni updated the task description. (Show Details)Aug 7 2017, 10:39 PM

[ not Tracking per definition (as this could be considered fixed at some point) hence removing that tag]

jmatazzoni updated the task description. (Show Details)Aug 17 2017, 9:29 PM

@jmatazzoni: As this task could be called "resolved" at some point, removing the Tracking tag. (Goal or Epic tags are available.)

@Trizek-WMF, I imagine we'll want to announce this plan to the users?

There is an old vaguely related task T53941: Merge "Recent changes" and "Watchlist" preferences tabs – looks like your work here will resolve that?

Johan added a subscriber: Johan.Aug 24 2017, 8:33 PM

@Trizek-WMF Want to add something about this to this week's Tech News, or is there a reason to wait?

@Trizek-WMF Want to add something about this to this week's Tech News, or is there a reason to wait?

It can wait. I need to work on T173716 before.

Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 7:23 AM
This comment was removed by Trizek-WMF.
jeblad removed a subscriber: jeblad.Aug 25 2017, 9:28 PM

Do we still plan to work on that task soon?

matmarex removed a subscriber: matmarex.Nov 14 2017, 3:59 PM